/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */

#include <panel-applet.h>

#define GCONF_CURRENT_LOCATION   "/apps/control-center/network/current_location"
#define GCONF_NETWORK_LOCATIONS  "/apps/control-center/network"
#define GCONF_SYSTEM_DIR         "/system"
#define GCONF_HTTP_PROXY_DIR     "http_proxy"
#define GCONF_PROXY_DIR          "proxy"
#define GNOME_NETWORK_PROPERTIES "gnome-network-properties"

const gchar*
proxy_applet_menu_xml =
    "<popup name=\"button3\">\n"
    "   <menuitem name=\"About Item\" verb=\"ProxyAppletAbout\" label=\"%s\"\n"
    "             pixtype=\"stock\" pixname=\"gtk-about\"/>\n"
    "</popup>\n";

typedef struct
{
    PanelApplet *applet;
    GtkWidget *label_title,
              *menu;
    GSList *locations;
} ProxyApplet;


static void proxy_applet_about_cb(BonoboUIComponent *uic, gpointer data, const gchar *verbname);